Debian Bug report logs - #362652
ITP: sork-forwards-h3 -- autoforward module for Horde Framework

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Gregory Colpart <reg@evolix.fr>

Date: Fri, 14 Apr 2006 20:18:21 UTC

Owned by: gregory colpart (evolix) <reg@evolix.fr>

Severity: wishlist

Fixed in version sork-forwards-h3/3.0-1

Done: Gregory Colpart (evolix) <reg@evolix.fr>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-devel@lists.debian.org, <wnpp@debian.org>, gregory colpart (evolix) <reg@evolix.fr>:
Bug#362652; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gregory Colpart <reg@evolix.fr>:
New Bug report received and forwarded. Copy sent to debian-devel@lists.debian.org, <wnpp@debian.org>, gregory colpart (evolix) <reg@evolix.fr>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Gregory Colpart <reg@evolix.fr>
To: submit@bugs.debian.org
Cc: pkg-horde-hackers@lists.alioth.debian.org
Subject: ITP: sork-forwards-h3 -- autoforward module for Horde Framework
Date: Fri, 14 Apr 2006 22:20:25 +0200
Package: wnpp
Severity: wishlist
Owner: Gregory Colpart (evolix) <reg@evolix.fr>

* Package name    : sork-forwards-h3
  Version         : 3.0
  Upstream Author : The Horde Team <sork@lists.horde.org>
* URL             : http://www.horde.org/forwards/
* License         : Apache License 1.1
  Description     : autoforward module for Horde Framework

 Forwards is the Horde module for setting user e-mail forwards
 via the forward mechanism supported by several popular mailers.
 Forwards provides fairly complete support for setting .forward
 style forwards on Sendmail, Courier, or Qmail mail based systems
 via an FTP transport. It also has drivers for Mdaemon, Exim SQL,
 Exim LDAP, Custom SQL, and SOAP based systems.


I use Forwards on my personal mail server. This is a "must-have" for
a webmail suite. I have already beta packages but I want to ask
confirmation to debian-legal for the license.
Note that I will try to submit a patch to upstream for Postfix LDAP
driver because I use it.


Regards,
-- 
Gregory Colpart <reg@evolix.fr>  GnuPG:1024D/C1027A0E
Evolix - Informatique et Logiciels Libres http://www.evolix.fr/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gregory colpart (evolix) <reg@evolix.fr>:
Bug#362652; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to MJ Ray <mjr@phonecoop.coop>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gregory colpart (evolix) <reg@evolix.fr>. Full text and rfc822 format available.

Message #10 received at 362652@bugs.debian.org (full text, mbox):

From: MJ Ray <mjr@phonecoop.coop>
To: debian-legal@lists.debian.org
Cc: pkg-horde-hackers@lists.alioth.debian.org, 362652@bugs.debian.org
Subject: Re: Apache license 1.1 for non-Apache software
Date: Wed, 19 Apr 2006 11:14:30 +0100
Gregory Colpart <reg@evolix.fr>
> I want to package Forwards (see my ITP [1]), a non-Apache
> software under Apache License 1.1 [2]).

[2] is not the Apache License 1.1, but is Apache-1.1-like.
I think your ITP License line is incorrect.

> I read debian-legal archives to have information about 
> Apache License version 1.1. Situation seems confuse on the first
> thread [3]. This thread [4] explains there is no problem for
> Apache software under Apache License.

[3] concerns GPL-compatibility. Are you combining with GPL work?

> Note that I am intent to call my Debian package 'sork-forwards-h3'
> and with very few patches for upstream version. Note also there are
> already packages with this license in "main" : sork-passwd-h3,
> ingo1, jython, et cetera.

Have the Horde Project given written permission for that? It would
help avoid the uncertainty.

> Could you confirm me that my package will be DFSG-compliant ?

Not entirely, but it looks like it probably will be.

> [1] : http://bugs.debian.org/362652
> [2] : http://cvs.horde.org/co.php?r=1.1.2.2&f=forwards%2FLICENSE&p=1
> [3] : http://lists.debian.org/debian-legal/2000/06/msg00103.html
> [4] : http://lists.debian.org/debian-legal/2003/08/msg00205.html

Hope that helps,
-- 
MJR/slef
My Opinion Only: see http://people.debian.org/~mjr/
Please follow http://www.uk.debian.org/MailingLists/#codeofconduct




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gregory colpart (evolix) <reg@evolix.fr>:
Bug#362652; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gregory colpart (evolix) <reg@evolix.fr>. Full text and rfc822 format available.

Message #15 received at 362652@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: debian-legal@lists.debian.org
Cc: pkg-horde-hackers@lists.alioth.debian.org, 362652@bugs.debian.org
Subject: Re: Apache license 1.1 for non-Apache software
Date: Fri, 21 Apr 2006 00:42:36 +0200
[Message part 1 (text/plain, inline)]
On Wed, 19 Apr 2006 11:14:30 +0100 MJ Ray wrote:

> Gregory Colpart <reg@evolix.fr>
> > I want to package Forwards (see my ITP [1]), a non-Apache
> > software under Apache License 1.1 [2]).
> 
> [2] is not the Apache License 1.1, but is Apache-1.1-like.
> I think your ITP License line is incorrect.

I agree.
The license is definitely similar, but not equal to Apache Software
License, Version 1.1
Actually it's ASLv1.1 with the necessary substitutions to adapt it to
Horde Project's Forwards.


[...]
> > Could you confirm me that my package will be DFSG-compliant ?
> 
> Not entirely, but it looks like it probably will be.

I don't agree.
The license under analysis is fully quoted below (for future reference).
I do *not* think that a work released solely under this license can be
considered to comply with the DFSG.

| Version 1.0
| 
| Copyright (c) 2002-2004 The Horde Project. All rights reserved.
| 
| Redistribution and use in source and binary forms, with or without
| modification, are permitted provided that the following conditions are
| met:
| 
| 1. Redistributions of source code must retain the above copyright
| notice, this list of conditions and the following disclaimer.
| 
| 2. Redistributions in binary form must reproduce the above copyright
| notice, this list of conditions and the following disclaimer in the
| documentation and/or other materials provided with the distribution.
| 
| 3. The end-user documentation included with the redistribution, if
| any, must include the following acknowledgment:
| 
|    "This product includes software developed by the Horde Project
|     (http://www.horde.org/)."
| 
| Alternately, this acknowledgment may appear in the software itself, if
| and wherever such third-party acknowledgments normally appear.
| 
| 4. The names "Horde", "The Horde Project", and "Forwards" must not be
| used to endorse or promote products derived from this software without
| prior written permission. For written permission, please contact
| core@horde.org.
| 
| 5. Products derived from this software may not be called "Horde" or
| "Forwards", nor may "Horde" or "Forwards" appear in their name,
| without prior written permission of the Horde Project.
| 
| THIS SOFTWARE IS PROVIDED "AS IS" AND ANY EXPRESSED OR IMPLIED
| WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
| MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
| IN NO EVENT SHALL THE HORDE PROJECT OR ITS CONTRIBUTORS BE LIABLE FOR
| ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
| DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
| GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
| INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER
| IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
| OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
| ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
| 
| This software consists of voluntary contributions made by many
| individuals on behalf of the Horde Project. For more information on
| the Horde Project, please see <http://www.horde.org/>.


The non-free part is, IMO, clause 5.
Actually this clause is basically identical to (the first part of)
clause 4 of PHP license version 3.01: there have been many
discussions[1][2][3][4][5][6][7] about PHP license version 3.01 on
debian-legal.
In a nutshell, this clause is a nasty restriction that goes beyond what
is allowed (as a compromise!) by DFSG#4.
It goes beyond because it forbids an entire infinite class of names for
derivative works, not just one (as allowed by DFSG#4).
Unfortunately only few people on debian-legal seem to agree that this
problem exists, while I see it as crystal clear...


Anyway, If I were you, I would try and persuade upstream to change
license.

Since the current license is a clone of Apache Software License, Version
1.1, you could suggest that they switch to Apache License Version
2.0[8], which is DFSG-free and can be applied unmodified to any work
(not just Apache!).

Alternatively, they could switch to the 3-clause BSD license[9], which
is quite similar to the current license (after dropping clauses 3. and
5.), but DFSG-free.


References:

[1] http://lists.debian.org/debian-legal/2005/10/msg00124.html
[2] http://lists.debian.org/debian-legal/2005/10/msg00127.html
[3] http://lists.debian.org/debian-legal/2006/01/msg00056.html
[4] http://lists.debian.org/debian-legal/2006/01/msg00066.html
[5] http://lists.debian.org/debian-legal/2006/01/msg00339.html
[6] http://lists.debian.org/debian-legal/2006/02/msg00013.html
[7] http://lists.debian.org/debian-legal/2006/04/msg00112.html
[8] http://www.apache.org/licenses/LICENSE-2.0
[9] http://www.gnu.org/licenses/info/BSD_3Clause.html



-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gregory colpart (evolix) <reg@evolix.fr>:
Bug#362652; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Gregory Colpart <reg@evolix.fr>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gregory colpart (evolix) <reg@evolix.fr>. Full text and rfc822 format available.

Message #20 received at 362652@bugs.debian.org (full text, mbox):

From: Gregory Colpart <reg@evolix.fr>
To: debian-legal@lists.debian.org
Cc: pkg-horde-hackers@lists.alioth.debian.org, 362652@bugs.debian.org
Subject: Re: Apache license 1.1 for non-Apache software
Date: Fri, 28 Apr 2006 03:33:27 +0200
On Fri, Apr 21, 2006 at 12:42:36AM +0200, Francesco Poli wrote:
> > > Could you confirm me that my package will be DFSG-compliant ?
> > 
> > Not entirely, but it looks like it probably will be.
> 
> I don't agree.
> The license under analysis is fully quoted below (for future reference).
> I do *not* think that a work released solely under this license can be
> considered to comply with the DFSG.

To sum up, I hope persuading upstream to do one of following
actions:

- give permission to Debian project to package his softwares
  (like Apache Fundation for apache-1.3 woody packages [1]),
- switch license to Apache license 2.0 like [2],
- switch licens to 3-clause BSD [3] or Horde BSD-like [4],
- switch license to GPL [5] like other horde softwares.


[1] http://packages.debian.org/changelogs/pool/main/a/apache/apache_1.3.26-0woody6/copyright
[2] http://www.apache.org/licenses/LICENSE-2.0
[3] http://www.gnu.org/licenses/info/BSD_3Clause.html
[4] http://www.horde.org/licenses/bsdl.php
[5] http://www.horde.org/licenses/gpl.php 


Regards,
-- 
Gregory Colpart <reg@evolix.fr>  GnuPG:1024D/C1027A0E
Evolix - Informatique et Logiciels Libres http://www.evolix.fr/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gregory colpart (evolix) <reg@evolix.fr>:
Bug#362652; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gregory colpart (evolix) <reg@evolix.fr>. Full text and rfc822 format available.

Message #25 received at 362652@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: debian-legal@lists.debian.org
Cc: pkg-horde-hackers@lists.alioth.debian.org, 362652@bugs.debian.org
Subject: Re: Apache license 1.1 for non-Apache software
Date: Sat, 29 Apr 2006 00:57:38 +0200
[Message part 1 (text/plain, inline)]
On Fri, 28 Apr 2006 03:33:27 +0200 Gregory Colpart wrote:

> On Fri, Apr 21, 2006 at 12:42:36AM +0200, Francesco Poli wrote:
> > > > Could you confirm me that my package will be DFSG-compliant ?
> > > 
> > > Not entirely, but it looks like it probably will be.
> > 
> > I don't agree.
> > The license under analysis is fully quoted below (for future
> > reference). I do *not* think that a work released solely under this
> > license can be considered to comply with the DFSG.
> 
> To sum up, I hope persuading upstream to do one of following
> actions:
> 
> - give permission to Debian project to package his softwares
>   (like Apache Fundation for apache-1.3 woody packages [1]),

That way it should go in main, though.
At least, that's my opinion.

> - switch license to Apache license 2.0 like [2],
> - switch licens to 3-clause BSD [3] or Horde BSD-like [4],
> - switch license to GPL [5] like other horde softwares.

All these license changes would make the software clearly DFSG-free.
I hope you can persuade upstream to switch to one of these licenses...


> [1] http://packages.debian.org/changelogs/pool/main/a/apache/apache_1.3.26-0woody6/copyright
> [2] http://www.apache.org/licenses/LICENSE-2.0
> [3] http://www.gnu.org/licenses/info/BSD_3Clause.html
> [4] http://www.horde.org/licenses/bsdl.php
> [5] http://www.horde.org/licenses/gpl.php 


-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, gregory colpart (evolix) <reg@evolix.fr>:
Bug#362652; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Francesco Poli <frx@firenze.linux.it>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, gregory colpart (evolix) <reg@evolix.fr>. Full text and rfc822 format available.

Message #30 received at 362652@bugs.debian.org (full text, mbox):

From: Francesco Poli <frx@firenze.linux.it>
To: debian-legal@lists.debian.org
Cc: pkg-horde-hackers@lists.alioth.debian.org, 362652@bugs.debian.org
Subject: Re: Apache license 1.1 for non-Apache software
Date: Sat, 29 Apr 2006 01:09:25 +0200
[Message part 1 (text/plain, inline)]
On Sat, 29 Apr 2006 00:57:38 +0200 Francesco Poli wrote:

> On Fri, 28 Apr 2006 03:33:27 +0200 Gregory Colpart wrote:
> 
> > On Fri, Apr 21, 2006 at 12:42:36AM +0200, Francesco Poli wrote:
> > > > > Could you confirm me that my package will be DFSG-compliant ?
> > > > 
> > > > Not entirely, but it looks like it probably will be.
> > > 
> > > I don't agree.
> > > The license under analysis is fully quoted below (for future
> > > reference). I do *not* think that a work released solely under
> > > this license can be considered to comply with the DFSG.
> > 
> > To sum up, I hope persuading upstream to do one of following
> > actions:
> > 
> > - give permission to Debian project to package his softwares
> >   (like Apache Fundation for apache-1.3 woody packages [1]),
> 
> That way it should go in main, though.
> At least, that's my opinion.

Oooops!   :p
What I actually intended to write was:

  "That way it should *not* go in main, though."

Sorry for having incorrectly stated the opposite of what I meant...  :-(


-- 
    :-(   This Universe is buggy! Where's the Creator's BTS?   ;-)
......................................................................
  Francesco Poli                             GnuPG Key ID = DD6DFCF4
 Key fingerprint = C979 F34B 27CE 5CD8 DC12  31B5 78F4 279B DD6D FCF4
[Message part 2 (application/pgp-signature, inline)]

Reply sent to Gregory Colpart (evolix) <reg@evolix.fr>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Gregory Colpart <reg@evolix.fr>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #35 received at 362652-close@bugs.debian.org (full text, mbox):

From: Gregory Colpart (evolix) <reg@evolix.fr>
To: 362652-close@bugs.debian.org
Subject: Bug#362652: fixed in sork-forwards-h3 3.0-1
Date: Sat, 08 Jul 2006 06:19:40 -0700
Source: sork-forwards-h3
Source-Version: 3.0-1

We believe that the bug you reported is fixed in the latest version of
sork-forwards-h3, which is due to be installed in the Debian FTP archive:

sork-forwards-h3_3.0-1.diff.gz
  to pool/main/s/sork-forwards-h3/sork-forwards-h3_3.0-1.diff.gz
sork-forwards-h3_3.0-1.dsc
  to pool/main/s/sork-forwards-h3/sork-forwards-h3_3.0-1.dsc
sork-forwards-h3_3.0-1_all.deb
  to pool/main/s/sork-forwards-h3/sork-forwards-h3_3.0-1_all.deb
sork-forwards-h3_3.0.orig.tar.gz
  to pool/main/s/sork-forwards-h3/sork-forwards-h3_3.0.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 362652@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gregory Colpart (evolix) <reg@evolix.fr> (supplier of updated sork-forwards-h3 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Sun, 16 Apr 2006 17:26:02 +0200
Source: sork-forwards-h3
Binary: sork-forwards-h3
Architecture: source all
Version: 3.0-1
Distribution: unstable
Urgency: low
Maintainer: Debian Horde Maintainers <pkg-horde-hackers@lists.alioth.debian.org>
Changed-By: Gregory Colpart (evolix) <reg@evolix.fr>
Description: 
 sork-forwards-h3 - autoforward module for Horde Framework
Closes: 362652
Changes: 
 sork-forwards-h3 (3.0-1) unstable; urgency=low
 .
   * Initial release Closes: #362652
Files: 
 0ed7f2b995ecd6422b7509049e997531 686 web optional sork-forwards-h3_3.0-1.dsc
 002082cd565881a5a1838131a41d8224 719140 web optional sork-forwards-h3_3.0.orig.tar.gz
 fc7687221b948b38d9af5d584f6347ab 5214 web optional sork-forwards-h3_3.0-1.diff.gz
 14aba4855f81b745f21b7f78cbe98a27 693574 web optional sork-forwards-h3_3.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.3 (GNU/Linux)

iEYEARECAAYFAkSi07oACgkQscRzFz57S3MaEgCffDcGygf1PFjaV0K6PzaED5Oh
Rv4AnRGJ1IMYlYUrjiKnv6biBmgG/JuV
=PMvL
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 18 Jun 2007 08:05:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 21:31:01 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.